<div class="active-chat ">
    <!-- Chat Header -->
    <div class="chat-navbar">
        <header *ngIf="isLoadingUser; else notLoadingChatUser" class="chat-header d-flex justify-content-center align-items-center">
            <div class="spinner-border text-primary" role="status">
            </div>
        </header>
        <ng-template #notLoadingChatUser>
            <header class="chat-header">
            
                <div class="d-flex align-items-center">
                    <div class="sidebar-toggle d-block d-lg-none me-1">
                        <i class="fa fa-bars font-medium-5" aria-hidden="true"></i>
                    </div>
                    <div class="avatar avatar-border user-profile-toggle m-0 me-1">
                        <img src="{{getAvatarUrl(user.image)}}" alt="avatar" height="36" width="36" />
                        <!-- <span class="avatar-status-busy"></span> -->
                    </div>
                    <h6 class="mb-0">{{user.firstName}} {{user.lastName}}</h6>
                </div>
                <div class="d-flex align-items-center">
                    <!-- <i data-feather="phone-call" class="cursor-pointer d-sm-block d-none font-medium-2 me-1"></i>
                    <i data-feather="video" class="cursor-pointer d-sm-block d-none font-medium-2 me-1"></i>
                    <i data-feather="search" class="cursor-pointer d-sm-block d-none font-medium-2"></i>
                    <div class="dropdown">
                        <button class="btn-icon btn btn-transparent hide-arrow btn-sm dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i data-feather="more-vertical" id="chat-header-actions" class="font-medium-2"></i>
                        </button>
                        <div class="dropdown-menu dropdown-menu-end" aria-labelledby="chat-header-actions">
                            <a class="dropdown-item" href="#">View Contact</a>
                            <a class="dropdown-item" href="#">Mute Notifications</a>
                            <a class="dropdown-item" href="#">Block Contact</a>
                            <a class="dropdown-item" href="#">Clear Chat</a>
                            <a class="dropdown-item" href="#">Report</a>
                        </div>
                    </div> -->
                </div>
            
            </header>
        </ng-template>
    </div>
    <!--/ Chat Header -->

    <!-- User Chat messages -->
    <div class="user-chats" #userChats=ngxPerfectScrollbar [perfectScrollbar]="{}" [ngStyle]="{height: 'calc(100% - 65px - '+(65+fileBoxHeight*fichiers.length+spaceHeight)+'px)'}">
        <div *ngIf="isLoading || isLoadingUser; else notLoading" class="d-flex justify-content-center align-items-center" style="height: inherit;">
            <div class="spinner-border text-primary" role="status">
            </div>
        </div>
        <ng-template #notLoading>
        <div *ngIf="thereAreMoreMessages && !isMoreMessageLoading" class="d-flex justify-content-center" >
            <div class="text-primary d-flex flex-column align-items-center my-see-more-btn" (click)="seeMoreMessages()">
                <i class="fa fa-chevron-up" aria-hidden="true"></i>
                <span>Voir plus</span>
            </div>
            
        </div>
        
        <div *ngIf="isMoreMessageLoading" class="d-flex justify-content-center" >
            <div class="spinner-border text-primary" role="status">
            </div>
        </div>

        <div class="chats">
            
            
            <ng-container *ngFor="let dateTab of messagesSplited">
                <div class="divider">
                    <div class="divider-text">{{dateTab.key}}</div>
                </div>
                <div *ngFor="let subTab of dateTab.sub" class="chat {{subTab.left ? 'chat-left': ''}}">
                    <div class="chat-avatar">
                        <span class="avatar box-shadow-1 cursor-pointer">
                            <img src="{{getAvatarUrl(subTab.user.image)}}" alt="avatar" height="36" width="36" />
                        </span>
                    </div>
                    <div class="chat-body">
                        <ng-container *ngFor="let message of subTab.messages">
                            <div class="chat-content" *ngIf="message.contenu">
                                <p>{{message.contenu}}</p>
                                
                                <ng-container *ngIf="!subTab.left">
                                    <span class="float-start my-text-small" *ngIf="isSeen(message); else notSeenMessage"><i class="fa-solid fa-check"></i> Vu</span>
                                    <ng-template #notSeenMessage>
                                        <span class="float-start my-text-small" ><i class="fa-solid fa-check"></i> Envoyé</span>
                                    </ng-template>
                                </ng-container>
                                <span class="float-end my-text-small">{{message.sentDate | date: 'HH:mm'}}</span>
                            </div>
                            <div class="chat-content" *ngIf="message.fichiers.length > 0"  >
                                <p><i class="fa-solid fa-paperclip"></i> {{message.fichiers.length}} fichier{{message.fichiers.length > 1 ? 's': ''}}</p>
                                <p *ngFor="let fichier of message.fichiers" class="my-file-link" (click)="downloadFile(fichier.chemin, fichier.nom)">{{fichier.nom}}</p>
                                
                                <ng-container *ngIf="!subTab.left">
                                    <span class="float-start my-text-small" *ngIf="isSeen(message); else notSeenFiles"><i class="fa-solid fa-check"></i> Vu</span>
                                    <ng-template #notSeenFiles>
                                        <span class="float-start my-text-small" ><i class="fa-solid fa-check"></i> Envoyé</span>
                                    </ng-template>
                                </ng-container>
                                <span class="float-end my-text-small">{{message.sentDate | date: 'HH:mm'}}</span>
                            </div>
                        </ng-container>
                        
                    </div>
                </div>
                
            </ng-container>
            
            
            
            
            
        </div>
        </ng-template>

        
    </div>
    
    <!-- User Chat messages -->

    <!-- Submit Chat form -->
    

    <form [formGroup]="form" class="chat-app-form"  (submit)="sendMessage()" [ngStyle]="{height: (65+ fileBoxHeight*fichiers.length + spaceHeight) + 'px' }">
        
            <div  class="d-flex flex-column {{fichiers.length > 0 ? '':'d-none'}}"  #filesContainer=ngxPerfectScrollbar [perfectScrollbar]="{}" [ngStyle]="{height: (fileBoxHeight*fichiers.length) + 'px' }">
                <div class="btn-primary d-flex align-items-center my-file-box mt-50" *ngFor="let fichier of fichiers; let i=index">
                    <div class="p-50">
                        <i class="fa-solid fa-paperclip"></i>
                        <span *ngIf="!fichier.loading" class="ms-50 link" (click)="downloadFile(fichier.chemin, fichier.nom)">{{fichier.nom}}</span>
                        <span *ngIf="fichier.loading" class="ms-50" >{{fichier.nom}}</span>
                    </div>
                    <span *ngIf="fichier.loading" class="spinner-border spinner-border-sm me-50" role="status" aria-hidden="true"></span>
                    <div  *ngIf="!fichier.loading" class="p-50 close" (click)="removeFichier(i)">
                        <i class="fa-solid fa-times"></i>
                    </div>
                    
        
                </div>
            </div>
            <div class="d-flex align-items-center mt-50">
                <div class="input-group input-group-merge me-1 form-send-message">
                    <span class="speech-to-text input-group-text"><i data-feather="mic" class="cursor-pointer"></i></span>
                    <input type="text" class="form-control message" placeholder="Votre message (Notre équipe vous apportera une réponse durant les jours ouvrés de 9h à 16h)" formControlName="contenu" />
                    <span class="input-group-text">
                        <label for="attach-doc" class="attachment-icon form-label mb-0">
                            <i class="fa fa-paperclip cursor-pointer text-secondary" aria-hidden="true"></i>
                            <input type="file" id="attach-doc" hidden multiple (change)="onFileSelected($event)"/> </label></span>
                </div>
                <button type="button" class="btn btn-primary send" (click)="sendMessage()" [style.pointer-events]="form.valid && !isSendingMessage ? 'auto': 'none' "> 
                    <span *ngIf="isSendingMessage; else notSendingMessage" class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                    <ng-template #notSendingMessage>
                        <i class="fa fa-paper-plane d-lg-none"></i>
                        <span class="d-none d-lg-block">Envoyer</span>
                    </ng-template>
                </button>
            </div>
    </form>
    <!--/ Submit Chat form -->
</div>
